Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qiml
Class ChildElement

    java.lang.Object
      |
      +--com.jxml.quick.model.qiml.ChildElement

All Implemented Interfaces:
  ContentModel

public class ChildElement
extends Object
implements ContentModel

ChildElement - The childElement or link element is used to establish the presence of an element withing the content model of another element.

Field Summary
`protected Access` | `access_25`
`protected String` | `default_23` The default attribute defines the default value of an attribute.
`protected ElementDefinition` | `elementDefinition_26`
`protected boolean` | `fixed_24` The fixed attribute specified that the attribute value must not differ from the value given by the default attribute.
`protected boolean` | `optional_21` default = "false"
`protected boolean` | `repeating_22` default = "false"

Constructor Summary
`ChildElement()`
`ChildElement(ElementDefinition elementDefinition_26)` minimum constructor
`ChildElement(String default_23, boolean fixed_24, boolean optional_21, boolean repeating_22, Access access_25, ElementDefinition elementDefinition_26)` full constructor

Method Summary
`Access` | `getAccess_25()`
`String` | `getDefault_23()` The default attribute defines the default value of an attribute.
`ElementDefinition` | `getElementDefinition_26()`
`boolean` | `getFixed_24()` The fixed attribute specified that the attribute value must not differ from the value given by the default attribute.
`boolean` | `getOptional_21()` default = "false"
`boolean` | `getRepeating_22()` default = "false"
`void` | `setAccess_25(Access access_25)`
`void` | `setDefault_23(String default_23)` The default attribute defines the default value of an attribute.
`void` | `setElementDefinition_26(ElementDefinition elementDefinition_26)`
`void` | `setFixed_24(boolean fixed_24)` The fixed attribute specified that the attribute value must not differ from the value given by the default attribute.
`void` | `setOptional_21(boolean optional_21)` default = "false"
`void` | `setRepeating_22(boolean repeating_22)` default = "false"

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### default_23

    protected String default_23

  The default attribute defines the default value of an attribute.

### fixed_24

    protected boolean fixed_24

  The fixed attribute specified that the attribute value must not differ from the value given by the default attribute.

### optional_21

    protected boolean optional_21

  default = "false"

### repeating_22

    protected boolean repeating_22

  default = "false"

### access_25

    protected Access access_25

### elementDefinition_26

    protected ElementDefinition elementDefinition_26

Constructor Detail

### ChildElement

    public ChildElement()

### ChildElement

    public ChildElement(String default_23,
                        boolean fixed_24,
                        boolean optional_21,
                        boolean repeating_22,
                        Access access_25,
                        ElementDefinition elementDefinition_26)

  full constructor

### ChildElement

    public ChildElement(ElementDefinition elementDefinition_26)

  minimum constructor

Method Detail

### getDefault_23

    public String getDefault_23()

  The default attribute defines the default value of an attribute.

### setDefault_23

    public void setDefault_23(String default_23)

  The default attribute defines the default value of an attribute.

### getFixed_24

    public boolean getFixed_24()

  The fixed attribute specified that the attribute value must not differ from the value given by the default attribute.

### setFixed_24

    public void setFixed_24(boolean fixed_24)

  The fixed attribute specified that the attribute value must not differ from the value given by the default attribute.

### getOptional_21

    public boolean getOptional_21()

  default = "false"

### setOptional_21

    public void setOptional_21(boolean optional_21)

  default = "false"

### getRepeating_22

    public boolean getRepeating_22()

  default = "false"

### setRepeating_22

    public void setRepeating_22(boolean repeating_22)

  default = "false"

### getAccess_25

    public Access getAccess_25()

### setAccess_25

    public void setAccess_25(Access access_25)

### getElementDefinition_26

    public ElementDefinition getElementDefinition_26()

### setElementDefinition_26

    public void setElementDefinition_26(ElementDefinition elementDefinition_26)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD